import request from '@/utils/request'
 

 

export function ajaxDataPost(url,data) {
  return request({
    url: url,
    method: 'post',
    data:data
  })
}

export function ajaxDataGet(url,data) {
  return request({
    url: url,
    method: 'get',
    params: data
  })
}


export function ajaxDataPut(url,data) {
  return request({
    url: url,
    method: 'put',
    data: data
  })
}

export function ajaxDataDelete(url,data) {
  return request({
    url: url,
    method: 'delete',
    data: data
  })
}
 
 
 
export function checkButtons(buttonsList, buttonName) {
  // console.log(PermissionButtons)
  for (let i = 0; i < buttonsList.length; i++) {
    if (buttonsList[i].menuName === buttonName ) {  
      return true
    }
  }
  return false
}